#ifndef __INTERFACE_H__
#define __INTERFACE_H__

void Set_sys_power_on_self_test(uint8_t value);
uint8_t Get_sys_power_on_self_test(void);
void Set_sys_softwar_host(uint8_t value);
uint8_t Get_sys_softwar_host(void);
void Set_sys_softwar_order(uint8_t value);
uint8_t Get_sys_softwar_order(void);
void Set_sys_language(uint8_t value);
uint8_t Get_sys_language(void);
void Set_sys_theme(uint8_t value);
uint8_t Get_sys_theme(void);
void Set_sys_theme_state(uint8_t value);
uint8_t Get_sys_theme_state(void);
void Set_sys_light_value(uint8_t value);
uint8_t Get_sys_light_value(void);
void Set_sys_bt_on_off(uint8_t value);
uint8_t Get_sys_bt_on_off(void);
void Set_sys_bt_state(uint8_t value);
uint8_t Get_sys_bt_state(void);
void Set_sys_veer_hint(uint8_t value);
uint8_t Get_sys_veer_hint(void);
void Set_sys_lamplight(uint8_t value);
uint8_t Get_sys_lamplight(void);
void Set_sys_light_perception_value(uint8_t value);
uint8_t Get_sys_light_perception_value(void);
void Set_sys_return_demo(uint8_t value);
uint8_t Get_sys_return_demo(void);
void Set_sys_veer(uint8_t value);
uint8_t Get_sys_veer(void);
void Set_sys_velocity(uint16_t value);
uint16_t Get_sys_velocity(void);
void Set_sys_max_velocity(uint16_t value);
uint16_t Get_sys_max_velocity(void);
void Set_sys_verage_velocity(uint16_t value);
uint16_t Get_sys_verage_velocity(void);
void Set_sys_veer_velocity(uint16_t value);
uint16_t Get_sys_veer_velocity(void);
void Set_sys_grade(uint8_t value);
uint8_t Get_sys_grade(void);
void Set_sys_oil(uint8_t value);
uint8_t Get_sys_oil(void);
void Set_sys_temp(uint8_t value);
uint8_t Get_sys_temp(void);
void Set_sys_trip_mileage(double value);
double Get_sys_trip_mileage(void);
void Set_sys_total_mileage(uint32_t value);
uint32_t Get_sys_total_mileage(void);
void Set_sys_voltage(double value);
double Get_sys_voltage(void);
void Set_sys_engine(uint8_t value);
uint8_t Get_sys_engine(void);
void Set_sys_machine_oil(uint8_t value);
uint8_t Get_sys_machine_oil(void);
void Set_sys_abs(uint8_t value);
uint8_t Get_sys_abs(void);
void Set_sys_tcs(uint8_t value);
uint8_t Get_sys_tcs(void);
void Set_sys_fan(uint8_t value);
uint8_t Get_sys_fan(void);
void Set_sys_null(uint8_t value);
uint8_t Get_sys_null(void);
void Set_sys_now_defect_code(uint32_t value);
uint32_t Get_sys_now_defect_code(void);
void Set_sys_his_defect_code(uint32_t value);
uint32_t Get_sys_his_defect_code(void);




#endif
